import request from '@/utils/request'

//机具类型管理列表信息
export function getListFacturer(query) {
  return request({
      url: '/material/ma_supplier_info/list',
      method: 'get',
      params: query,
  })
}

//机具类型管理列表信息
export function getManufacturerSelect(query) {
  return request({
      url: '/material/ma_supplier_info/select',
      method: 'get',
      params: query,
  })
}


//查看机具类型管理列表详细信息
export function getFacturerDetail(id) {
  return request({
      url: '/material/ma_supplier_info/'+ id,
      method: 'get',
  })
}


// 仓库管理--删除
export function delFacturer(id) {
  return request({
      url: '/material/ma_supplier_info/' + id,
      method: 'delete',
  })
}

// 仓库管理--修改
export function editFacturer(data) {
  return request({
      url: '/material/ma_supplier_info',
      method: 'put',
      data: data,
  })
}

// 仓库管理--新增
export function addFacturer(data) {
  return request({
      url: '/material/ma_supplier_info',
      method: 'post',
      data: data,
  })
}

//删除服务器中的文件
export function deleteFile(objectKey) {
  return request({
      url: '/file/deleteFile/',
      method: 'post',
     params:{"objectKey":objectKey},
  
  })
}

